<script setup lang="ts">
import { ref, onMounted, computed } from 'vue';

// Define props
defineProps<{
  text?: string;
  sourceCtaText: string;
  editCtaText: string;
  contributeCtaText: string;
}>();
const currentYear = ref(new Date().getFullYear());
const isHandbook = ref(false);
const route = useRoute();
const isBlog = computed(() => route.fullPath.includes('blog'));
onMounted(() => {
  isHandbook.value = window.location.href.includes('/handbook');
});
</script>

<template>
  <div class="footer-source">
    <SlpTypography tag="p">
      {{ text }}
    </SlpTypography>
    <p class="footer-source__source-buttons">
      <a
        target="_blank"
        class="footer-source__button"
        :href="
          isBlog
            ? 'https://gitlab.com/gitlab-com/marketing/digital-experience/gitlab-blog'
            : 'https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience'
        "
        data-ga-name="page source"
        data-ga-location="footer"
      >
        {{ sourceCtaText }}
      </a>

      <a
        v-if="!isBlog"
        href="https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience/-/blob/main/CONTRIBUTING.md"
        data-ga-name="please contribute"
        data-ga-location="footer"
        >{{ contributeCtaText }}</a
      >

      <span v-if="isHandbook" class="cc-license">
        <a
          rel="license"
          href="http://creativecommons.org/licenses/by-sa/4.0/"
          data-ga-name="creative commons"
          data-ga-location="footer"
          ><NuxtImg
            alt="Creative Commons License"
            style="border-width: 0"
            src="https://i.creativecommons.org/l/by-sa/4.0/80x15.png"
        /></a>
      </span>
    </p>
    <p>&copy; {{ currentYear }} GitLab B.V.</p>
  </div>
</template>

<style lang="scss" scoped>
.footer-source {
  display: flex;
  flex-direction: column;
  &__source-buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 8px 24px;
  }
  p {
    margin-bottom: $spacing-8;
    font-size: $text-body-3;
  }

  a {
    font-weight: $font-weight-bold;
    color: $color-text-50;
    text-decoration: underline;
  }

  img {
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
  }
}
</style>
